<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			christian.rodriguez
@cu 				CU-SA-AC-016 Asignar Permisos para Consultar Avalúos Reservados

-->

<h:form id="desasignarPermisosConsultaAvaluosReservadosDlgForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">

    <p:spacer height="5" />

    <p:fieldset>

        <p:messages id="msgsDPCARD" showDetail="false" globalOnly="false" />

        <h:panelGrid columns="4" cellspacing="7" width="100%"
                     columnClasses="colPequena, colMediana, colPequena, colMediana">

            <h:outputLabel value="Departamento:" styleClass="outputLabelStyle" />
            <p:commandLink
                value="#{asignarPermisosConsultaAvaluosReservados.avaluoSeleccionado.avaluoPredios[0].departamento.nombre}"
                rendered="#{asignarPermisosConsultaAvaluosReservados.avaluoSeleccionado.tienePrediosEnDiferentesDeptos}"
                styleClass="commandLinkStyle"
                action="#{consultarDptoMunpioasignarPermisosConsultaAvaluosReservados.avaluoSeleccionado.cargarDeptosMunisAvaluo}"
                update=":consultarDepartamentosMunicipioForm"
                onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide();
                handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                <f:setPropertyActionListener value="#{avaluo}"
                                             target="#{consultarDptoMunpioasignarPermisosConsultaAvaluosReservados.avaluoSeleccionado.avaluoSeleccionado}" />
            </p:commandLink>
            <h:outputText
                rendered="#{!asignarPermisosConsultaAvaluosReservados.avaluoSeleccionado.tienePrediosEnDiferentesDeptos}"
                value="#{asignarPermisosConsultaAvaluosReservados.avaluoSeleccionado.avaluoPredios[0].departamento.codigo} 
                - #{asignarPermisosConsultaAvaluosReservados.avaluoSeleccionado.avaluoPredios[0].departamento.nombre}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />
            <p:commandLink
                value="#{asignarPermisosConsultaAvaluosReservados.avaluoSeleccionado.avaluoPredios[0].municipio.nombre}"
                rendered="#{asignarPermisosConsultaAvaluosReservados.avaluoSeleccionado.tienePrediosEnDiferentesMunicipios}"
                styleClass="commandLinkStyle"
                action="#{consultarDptoMunpioasignarPermisosConsultaAvaluosReservados.avaluoSeleccionado.cargarDeptosMunisAvaluo}"
                update=":consultarDepartamentosMunicipioForm"
                onstart="statusDialog2.show();"
                oncomplete="statusDialog2.hide();
                handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                <f:setPropertyActionListener value="#{avaluo}"
                                             target="#{consultarDptoMunpioasignarPermisosConsultaAvaluosReservados.avaluoSeleccionado.avaluoSeleccionado}" />
            </p:commandLink>
            <h:outputText
                rendered="#{!asignarPermisosConsultaAvaluosReservados.avaluoSeleccionado.tienePrediosEnDiferentesMunicipios}"
                value="#{asignarPermisosConsultaAvaluosReservados.avaluoSeleccionado.avaluoPredios[0].municipio.codigo} 
                - #{asignarPermisosConsultaAvaluosReservados.avaluoSeleccionado.avaluoPredios[0].municipio.nombre}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Sec. radicado" styleClass="outputLabelStyle" />
            <p:commandLink styleClass="commandLinkStyle"
                           action="#{consultaInformacionSolicitud.consultarSecRadicado}"
                           update=":isCC:infoSolicitudTV" onstart="statusDialog2.show();"
                           oncomplete="infoSolicitudCCWV.show(); statusDialog2.hide()"
                           value="#{asignarPermisosConsultaAvaluosReservados.avaluoSeleccionado.secRadicado}">
                <f:setPropertyActionListener
                    value="#{asignarPermisosConsultaAvaluosReservados.avaluoSeleccionado.secRadicado}"
                    target="#{consultaInformacionSolicitud.numeroSecRadicado}" />
            </p:commandLink>

        </h:panelGrid>

        <h:panelGrid columns="1" cellspacing="7" width="100%">

            <p:dataTable
                value="#{asignarPermisosConsultaAvaluosReservados.avaluoSeleccionado.avaluoPermisosActivos}"
                var="permiso" paginator="true" rows="5"
                paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                rowKey="#{permiso.id}"
                selection="#{asignarPermisosConsultaAvaluosReservados.permisosSeleccionados}"
                emptyMessage="No hay profesionales de avalúos asociados a la territorial seleccionada">

                <f:facet name="header">
                    <h:outputText
                        value="Profesionales de avalúos con permisos de consulta activos" />
                </f:facet>

                <p:column selectionMode="multiple" style="width:18px" />

                <p:column headerText="Nombre profesional">
                    <h:outputText value="#{permiso.profesionalAvaluos.nombreCompleto}"
                                  styleClass="outputTextStyle" />
                </p:column>

                <p:column headerText="No. Identificación">
                    <h:outputText
                        value="#{permiso.profesionalAvaluos.numeroIdentificacion}"
                        styleClass="outputTextStyle" />
                </p:column>

                <p:column headerText="Inicio permiso">
                    <h:outputText value="#{permiso.fechaDesde}"
                                  styleClass="outputTextStyle">
                        <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                           type="date" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Fin permiso">
                    <h:outputText value="#{permiso.fechaHasta}"
                                  styleClass="outputTextStyle">
                        <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                           type="date" />
                    </h:outputText>
                </p:column>

            </p:dataTable>
        </h:panelGrid>

    </p:fieldset>

    <h:panelGrid cellspacing="7" columns="6">

        <p:commandButton value="Desasignar" icon="ui-icon-disk"
                         onclick="desasignarPermisosConfirmacionWV.show();" />

    </h:panelGrid>
</h:form>